Matador Technologies Inc.
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/matador-technologies-inc/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/matador-technologies-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1750809600000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://x.com/buymatador/status/1937838074622329292",
"holding_balance": 77.0,
"holding_net_change": 8.86,
"transaction_value_usd": 951565.5947999998,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
},
{
"date": 1760486400000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://www.globenewswire.com/news-release/2025/10/15/3166964/0/en/Matador-Acquires-5-Bitcoin-for-CAD-810-733-Bringing-Its-Total-Bitcoin-and-Bitcoin-Equivalent-Holdings-to-82.html?_gl=1*1cdtitb*_up*MQ..*_ga*NTMzMzIwNjAuMTc2Nzg3MTIyNA..*_ga_ERWPGTJ5X8*czE3Njc4NzEyMjMkbzEkZzAkdDE3Njc4NzEyNDgkajM1JGwwJGgw",
"holding_balance": 82.0,
"holding_net_change": 5.0,
"transaction_value_usd": 579188.0,
"average_entry_value_usd": 115837.6,
"transaction_value_calculated": false
},
{
"date": 1762819200000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://www.globenewswire.com/news-release/2025/11/11/3185324/0/en/Matador-Technologies-Announces-Initial-USD-10-5M-Draw-Under-USD-100M-Convertible-Note-Facility-Underscoring-Strength-and-Execution-in-the-Digital-Asset-Market.html",
"holding_balance": 175.0,
"holding_net_change": 92.0,
"transaction_value_usd": 9453184.0,
"average_entry_value_usd": 102752.0,
"transaction_value_calculated": false
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/matador-technologies-inc/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
175.0
],
[
1779062400000,
175.0
],
[
1779148800000,
175.0
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/matador-technologies-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
13550225.5
],
[
1779062400000,
13465247.25
],
[
1779148800000,
13433001.75
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/matador-technologies-inc/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"low": 0.035,
"date": "2026-05-14",
"high": 0.04,
"open": 0.04,
"close": 0.04,
"volume": 401803
},
{
"low": 0.035,
"date": "2026-05-15",
"high": 0.04,
"open": 0.04,
"close": 0.035,
"volume": 1992036
},
{
"low": 0.03,
"date": "2026-05-19",
"high": 0.035,
"open": 0.035,
"close": 0.03,
"volume": 2802020
}
]
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/matador-technologies-inc/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"eps_estimate_next_quarter": 0,
"quarterly_earnings_growth": 0,
"eps_estimate_current_quarter": 0
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/matador-technologies-inc/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"one_month_return": -53.85,
"six_month_return": -88.68,
"three_month_return": -76.92
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/matador-technologies-inc/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": 323.6,
"total_btc_percentage": 0.001,
"share_price_change_state": "down"
}